%define srcname xf86-video-ati
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-ati
Version: 6.6.3
Release: alt3
Serial: 3
Summary: ATI video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: ati.xinf

Patch0: xf86-video-ati-6.6.3-alt-drm-link.patch

Patch1: xf86-video-ati-6.5.7.3-debug-off.patch
Patch2: xf86-video-ati-6.6.3-mach64-Use-private-DMA-buffers.patch

Patch100: xf86-video-ati-6.6.3-suse-radeon-xrandr-dotclock.patch
Patch101: xf86-video-ati-6.6.3-suse-radeon_dell.patch

Patch200: xf86-video-ati-6.6.2-rh-ati-prefer-radeon-then-r128.patch
Patch202: xf86-video-ati-6.6.2-rh-r128-missing-xf86ForceHWCursor-symbol-bug168753.patch
Patch203: xf86-video-ati-6.6.2-rh-radeon-6.6.1-dotclock-filter.patch
Patch204: xf86-video-ati-6.6.2-rh-radeon-6.6.1-use-mtdriver.patch

Patch300: xf86-video-ati-6.6.3-git-XAA-page-flipping.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-ati xorg-x11-drv-multimedia xorg-x11-extensions-glx
Provides: x11-driver-r128 x11-driver-radeon x11-driver-ati

BuildRequires: libdrm-devel libmesa-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
ati  is an Xorg wrapper driver for ATI video cards.  It autodetects whether your hardware has a Radeon,
Rage 128, or Mach64 or earlier class of chipset, and loads the radeon(4), r128(4), or atimisc(4) driver
as appropriate.

The  ati  driver  supports  Radeon, Rage 128, and Mach64 and earlier chipsets by loading those drivers.
See those manpages for specific cards supported.

%def_disable static

%prep
%setup -q -n %srcname-%version

%patch0 -p1

%patch1 -p1
%patch2 -p1

%patch100 -p1
%patch101 -p1

%patch200 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1

%patch300 -p1

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/ati.xinf

%files
%_x11modulesdir/drivers/*.so
%dir %_x11modulesdir/multimedia
%_x11modulesdir/multimedia/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Fri Jan 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:6.6.3-alt3
- fixed %%description

* Sun Nov 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:6.6.3-alt2
- added xf86-video-ati-6.6.3-git-XAA-page-flipping.patch

* Sat Nov 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:6.6.3-alt1
- 6.6.3

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:6.6.2-alt5
- added videoaliases file from RH

* Wed Nov 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:6.6.2-alt4
- added RH patches: xf86-video-ati-6.6.2-rh-ati-prefer-radeon-then-r128.patch,
		    xf86-video-ati-6.6.2-rh-r128-fp-dpms.patch,
		    xf86-video-ati-6.6.2-rh-r128-missing-xf86ForceHWCursor-symbol-bug168753.patch,
		    xf86-video-ati-6.6.2-rh-radeon-6.6.1-dotclock-filter.patch,
		    xf86-video-ati-6.6.2-rh-radeon-6.6.1-use-mtdriver.patch,
		    xf86-video-ati-6.6.2-rh-radeon-6.6.2-dac-fix.patch,
		    xf86-video-ati-6.6.2-rh-radeon-6.6.2-pmac-bios.patch,
		    xf86-video-ati-6.6.2-rh-radeon-6.6.2-usefbdev-patch.patch

* Sun Nov 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:6.6.2-alt3
- rollback to 6.6.2
- added xf86-video-ati-6.6.2-git-rn50-memmap.patch

* Sun Oct 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.6.3-alt2
- added OpenSuSE patches

* Fri Oct 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.6.3-alt1
- rollback to 6.6.3
- added xf86-video-ati-6.6.3-mach64-Use-private-DMA-buffers.patch

* Sun Oct 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.99-alt1.3
- GIT snapshot 2006-10-22:
	+ attempt to fix repeat picture acceleration

* Wed Oct 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.99-alt1.2
- GIT snapshot 2006-10-17

* Fri Oct 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.99-alt1
- 6.6.99

* Thu Oct 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.2-alt2.git20061003
- GIT snapshot 2006-10-03

* Mon Sep 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.2-alt2
- fixup the rn50/m6/m7 memory map problem

* Fri Aug 25 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.2-alt1
- 6.6.2

* Fri Jun 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.1-alt1
- 6.6.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.0-alt3
- CVS snapshot 2006-05-09

* Wed May 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.0-alt2.cvs20060503
- CVS snapshot 2006-05-03

* Thu Apr 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.6.0-alt1
- 6.6.0

* Sun Feb 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5.7.3-alt4
- CVS snapshot 2006-02-17

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5.7.3-alt3
- removed memmap_fix patch (problem for Radeon R100 QD)

* Sat Jan 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5.7.3-alt2
- added memmap_fix patch

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5.7.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5.7.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5.7-alt0.1
- initial release

